Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -5365,20 +4997,15 @@
 !
 !--             Define the z-axes (each variable gets its own z-axis)
-                CALL netcdf_create_dim( id_set_pr,                             &
-                                        'z' // TRIM( data_output_pr(i) ),      &
-                                        nzt+2-nzb, id_dim_z_pr(i,0), 223 )
-                CALL netcdf_create_var( id_set_pr, (/ id_dim_z_pr(i,0) /),     &
-                                        'z' // TRIM( data_output_pr(i) ),      &
-                                       NF90_DOUBLE, id_var_z_pr(i,0),          &
+                CALL netcdf_create_dim( id_set_pr, 'z' // TRIM( data_output_pr(i) ), nzt+2-nzb,    &
+                                        id_dim_z_pr(i,0), 223 )
+                CALL netcdf_create_var( id_set_pr, (/ id_dim_z_pr(i,0) /), 'z' //                  &
+                                        TRIM( data_output_pr(i) ), NF90_DOUBLE, id_var_z_pr(i,0),  &
                                        'meters', '', 224, 225, 000 )
-                CALL netcdf_create_att( id_set_pr, id_var_z_pr(i,0), 'axis',   &
-                                        'Z', 000)
+                CALL netcdf_create_att( id_set_pr, id_var_z_pr(i,0), 'axis', 'Z', 000)
 !
 !--             Define the variable
-                CALL netcdf_create_var( id_set_pr, (/ id_dim_z_pr(i,0),        &
-                                        id_dim_time_pr /), data_output_pr(i),  &
-                                        nc_precision(5), id_var_dopr(i,0),     &
-                                        TRIM( dopr_unit(i) ),                  &
-                                        TRIM( data_output_pr(i) ), 226, 227,   &
+                CALL netcdf_create_var( id_set_pr, (/ id_dim_z_pr(i,0), id_dim_time_pr /),         &
+                                        data_output_pr(i), nc_precision(5), id_var_dopr(i,0),      &
+                                        TRIM( dopr_unit(i) ), TRIM( data_output_pr(i) ), 226, 227, &
                                         228 )
 
@@ -5387,6 +5014,5 @@
              ELSE
 !
-!--             If statistic regions are defined, add suffix _SR+#SR to the
-!--             names
+!--             If statistic regions are defined, add suffix _SR+#SR to the names.
                 DO  j = 0, statistic_regions
                    WRITE ( suffix, '(''_'',I2.2)' )  j
@@ -5394,26 +5020,18 @@
 !
 !--                Define the z-axes (each variable gets it own z-axis)
-                   CALL netcdf_create_dim( id_set_pr, 'z' //                   &
-                                           TRIM(data_output_pr(i)) // suffix,  &
+                   CALL netcdf_create_dim( id_set_pr, 'z' // TRIM(data_output_pr(i)) // suffix,    &
                                            nzt+2-nzb, id_dim_z_pr(i,j), 229 )
-                   CALL netcdf_create_var( id_set_pr, (/ id_dim_z_pr(i,j) /),  &
-                                           'z' // TRIM(data_output_pr(i)) //   &
-                                           suffix, NF90_DOUBLE,                &
-                                           id_var_z_pr(i,j), 'meters', '',     &
-                                           230, 231, 000 )
-                   CALL netcdf_create_att( id_set_pr, id_var_z_pr(i,j), 'axis',&
-                                           'Z', 000)
+                   CALL netcdf_create_var( id_set_pr, (/ id_dim_z_pr(i,j) /),'z' //                &
+                                           TRIM(data_output_pr(i)) // suffix, NF90_DOUBLE,         &
+                                           id_var_z_pr(i,j), 'meters', '', 230, 231, 000 )
+                   CALL netcdf_create_att( id_set_pr, id_var_z_pr(i,j), 'axis', 'Z', 000)
 !
 !--                Define the variable
-                   CALL netcdf_create_var( id_set_pr, (/ id_dim_z_pr(i,j),     &
-                                           id_dim_time_pr /),                  &
-                                           TRIM(data_output_pr(i)) // suffix,  &
-                                           nc_precision(5), id_var_dopr(i,j),  &
-                                           TRIM( dopr_unit(i) ),               &
-                                           TRIM( data_output_pr(i) ) //        &
-                                           ' SR ', 232, 233, 234 )
-
-                   var_list = TRIM( var_list ) // TRIM( data_output_pr(i) ) // &
-                              suffix // ';'
+                   CALL netcdf_create_var( id_set_pr, (/ id_dim_z_pr(i,j), id_dim_time_pr /),      &
+                                           TRIM(data_output_pr(i)) // suffix, nc_precision(5),     &
+                                           id_var_dopr(i,j), TRIM( dopr_unit(i) ),                 &
+                                           TRIM( data_output_pr(i) ) // ' SR ', 232, 233, 234 )
+
+                   var_list = TRIM( var_list ) // TRIM( data_output_pr(i) ) // suffix // ';'
 
                 ENDDO
@@ -5424,6 +5042,5 @@
 
 !
-!--       Write the list of variables as global attribute (this is used by
-!--       restart runs)
+!--       Write the list of variables as global attribute (this is used by restart runs).
           nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'VAR_LIST', var_list )
           CALL netcdf_handle_error( 'netcdf_define_header', 235 )
@@ -5433,8 +5050,7 @@
           DO  i = 1, dopr_norm_num
 
-             CALL netcdf_create_var( id_set_pr, (/ id_dim_time_pr /),          &
-                                     'NORM_' // TRIM( dopr_norm_names(i) ),    &
-                                     nc_precision(5), id_var_norm_dopr(i),     &
-                                     '', TRIM( dopr_norm_longnames(i) ), 236,  &
+             CALL netcdf_create_var( id_set_pr, (/ id_dim_time_pr /), 'NORM_' //                   &
+                                     TRIM( dopr_norm_names(i) ), nc_precision(5),                  &
+                                     id_var_norm_dopr(i), '', TRIM( dopr_norm_longnames(i) ), 236, &
                                      000, 237 )
 
@@ -5451,7 +5067,7 @@
              DO  j = 0, statistic_regions
 
-                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_z_pr(i,j),      &
-                                        hom(nzb:nzt+1,2,dopr_index(i),0), &
-                                        start = (/ 1 /),                  &
+                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_z_pr(i,j),                               &
+                                        hom(nzb:nzt+1,2,dopr_index(i),0),                          &
+                                        start = (/ 1 /),                                           &
                                         count = (/ nzt-nzb+2 /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 239 )
@@ -5465,9 +5081,7 @@
 !
 !--       Get the list of variables and compare with the actual run.
-!--       First var_list_old has to be reset, since GET_ATT does not assign
-!--       trailing blanks.
+!--       First var_list_old has to be reset, since GET_ATT does not assign trailing blanks.
           var_list_old = ' '
-          nc_stat = NF90_GET_ATT( id_set_pr, NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list_old )
+          nc_stat = NF90_GET_ATT( id_set_pr, NF90_GLOBAL, 'VAR_LIST', var_list_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 240 )
 
@@ -5480,6 +5094,5 @@
                 DO  j = 0, statistic_regions
                    WRITE ( suffix, '(''_'',I2.2)' )  j
-                   var_list = TRIM( var_list ) // TRIM( data_output_pr(i) ) // &
-                              suffix // ';'
+                   var_list = TRIM( var_list ) // TRIM( data_output_pr(i) ) // suffix // ';'
                 ENDDO
              ENDIF
@@ -5488,9 +5101,7 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for vertical profiles ' //          &
-                              'from previous run found,' //                    &
-                              '&but this file cannot be extended due to' //    &
-                              ' variable mismatch.' //                         &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for vertical profiles ' // 'from previous run found,' //&
+                              '&but this file cannot be extended due to' //                        &
+                              ' variable mismatch.' // '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0254', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -5499,33 +5110,28 @@
 
 !
-!--       Get the id of the time coordinate (unlimited coordinate) and its
-!--       last index on the file. The next time level is dopr..count+1.
-!--       The current time must be larger than the last output time
-!--       on the file.
+!--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+!--       The next time level is dopr..count+1.
+!--       The current time must be larger than the last output time on the file.
           nc_stat = NF90_INQ_VARID( id_set_pr, 'time', id_var_time_pr )
           CALL netcdf_handle_error( 'netcdf_define_header', 241 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_pr, id_var_time_pr, &
-                                           dimids = id_dim_time_old )
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_pr, id_var_time_pr, dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 242 )
           id_dim_time_pr = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_pr, id_dim_time_pr, &
-                                            len = dopr_time_count )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_pr, id_dim_time_pr, LEN = dopr_time_count )
           CALL netcdf_handle_error( 'netcdf_define_header', 243 )
 
-          nc_stat = NF90_GET_VAR( id_set_pr, id_var_time_pr,        &
-                                  last_time_coordinate,             &
-                                  start = (/ dopr_time_count /), &
+          nc_stat = NF90_GET_VAR( id_set_pr, id_var_time_pr,                                       &
+                                  last_time_coordinate,                                            &
+                                  start = (/ dopr_time_count /),                                   &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 244 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for vertical profiles ' //          &
-                              'from previous run found,' //                    &
-                              '&but this file cannot be extended becaus' //    &
-                              'e the current output time' //                   &
-                              '&is less or equal than the last output t' //    &
-                              'ime on this file.' //                           &
+             message_string = 'netCDF file for vertical profiles ' // 'from previous run found,' //&
+                              '&but this file cannot be extended because' //                       &
+                              ' the current output time' //                                        &
+                              '&is less or equal than the last output ' // 'time on this file.' // &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0255', 0, 1, 0, 6, 0 )
@@ -5542,6 +5148,5 @@
 
              IF ( statistic_regions == 0 )  THEN
-                nc_stat = NF90_INQ_VARID( id_set_pr, data_output_pr(i),        &
-                                          id_var_dopr(i,0) )
+                nc_stat = NF90_INQ_VARID( id_set_pr, data_output_pr(i), id_var_dopr(i,0) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 245 )
              ELSE
@@ -5549,6 +5154,5 @@
                    WRITE ( suffix, '(''_'',I2.2)' )  j
                    netcdf_var_name = TRIM( data_output_pr(i) ) // suffix
-                   nc_stat = NF90_INQ_VARID( id_set_pr, netcdf_var_name,       &
-                                             id_var_dopr(i,j) )
+                   nc_stat = NF90_INQ_VARID( id_set_pr, netcdf_var_name, id_var_dopr(i,j) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 246 )
                 ENDDO
@@ -5560,6 +5164,5 @@
 !--       Get ids of the normalization variables
           DO  i = 1, dopr_norm_num
-             nc_stat = NF90_INQ_VARID( id_set_pr,                             &
-                                       'NORM_' // TRIM( dopr_norm_names(i) ), &
+             nc_stat = NF90_INQ_VARID( id_set_pr, 'NORM_' // TRIM( dopr_norm_names(i) ),           &
                                        id_var_norm_dopr(i) )
              CALL netcdf_handle_error( 'netcdf_define_header', 247 )
@@ -5567,27 +5170,23 @@
 
 !
-!--       Update the title attribute on file
-!--       In order to avoid 'data mode' errors if updated attributes are larger
-!--       than their original size, NF90_PUT_ATT is called in 'define mode'
-!--       enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a possible
-!--       performance loss due to data copying; an alternative strategy would be
-!--       to ensure equal attribute size in a job chain. Maybe revise later.
+!--       Update the title attribute on file.
+!--       In order to avoid 'data mode' errors if updated attributes are larger than their original
+!--       size, NF90_PUT_ATT is called in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF
+!--       calls. This implies a possible performance loss due to data copying; an alternative
+!--       strategy would be to ensure equal attribute size in a job chain. Maybe revise later.
           IF ( averaging_interval_pr == 0.0_wp )  THEN
              time_average_text = ' '
           ELSE
-             WRITE (time_average_text, '('', '',F7.1,'' s average'')') &
-                                                            averaging_interval_pr
+             WRITE ( time_average_text, '('', '',F7.1,'' s average'')' )  averaging_interval_pr
           ENDIF
           nc_stat = NF90_REDEF( id_set_pr )
           CALL netcdf_handle_error( 'netcdf_define_header', 437 )
-          nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'title',             &
-                                  TRIM( run_description_header ) //            &
-                                  TRIM( time_average_text ) )
+          nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'title',                                 &
+                                  TRIM( run_description_header ) // TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 248 )
 
           nc_stat = NF90_ENDDEF( id_set_pr )
           CALL netcdf_handle_error( 'netcdf_define_header', 438 )
-          message_string = 'netCDF file for vertical profiles ' //             &
-                           'from previous run found.' //                       &
+          message_string = 'netCDF file for vertical profiles ' // 'from previous run found.' //   &
                            '&This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0256', 0, 0, 0, 6, 0 )
@@ -5600,15 +5199,12 @@
           CALL netcdf_create_global_atts( id_set_ts, 'podsts', TRIM(run_description_header), 329 )
 
-          ! nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'title',             &
-          !                         TRIM( run_description_header ) )
+          ! nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'title', TRIM( run_description_header ) )
           ! CALL netcdf_handle_error( 'netcdf_define_header', 249 )
 
 !
 !--       Define time coordinate for time series (unlimited dimension)
-          CALL netcdf_create_dim( id_set_ts, 'time', NF90_UNLIMITED,           &
-                                  id_dim_time_ts, 250 )
-          CALL netcdf_create_var( id_set_ts, (/ id_dim_time_ts /), 'time',     &
-                                  NF90_DOUBLE, id_var_time_ts, 'seconds', 'time',  &
-                                  251, 252, 000 )
+          CALL netcdf_create_dim( id_set_ts, 'time', NF90_UNLIMITED, id_dim_time_ts, 250 )
+          CALL netcdf_create_var( id_set_ts, (/ id_dim_time_ts /), 'time', NF90_DOUBLE,            &
+                                  id_var_time_ts, 'seconds', 'time', 251, 252, 000 )
           CALL netcdf_create_att( id_set_ts, id_var_time_ts, 'standard_name', 'time', 000)
           CALL netcdf_create_att( id_set_ts, id_var_time_ts, 'axis', 'T', 000)
@@ -5620,8 +5216,6 @@
              IF ( statistic_regions == 0 )  THEN
 
-                CALL netcdf_create_var( id_set_ts, (/ id_dim_time_ts /),       &
-                                        dots_label(i), nc_precision(6),        &
-                                        id_var_dots(i,0),                      &
-                                        TRIM( dots_unit(i) ),                  &
+                CALL netcdf_create_var( id_set_ts, (/ id_dim_time_ts /), dots_label(i),            &
+                                        nc_precision(6), id_var_dots(i,0), TRIM( dots_unit(i) ),   &
                                         TRIM( dots_label(i) ), 253, 254, 255 )
 
@@ -5630,14 +5224,11 @@
              ELSE
 !
-!--             If statistic regions are defined, add suffix _SR+#SR to the
-!--             names
+!--             If statistic regions are defined, add suffix _SR+#SR to the names.
                 DO  j = 0, statistic_regions
                    WRITE ( suffix, '(''_'',I2.2)' )  j
 
-                   CALL netcdf_create_var( id_set_ts, (/ id_dim_time_ts /),    &
-                                           TRIM( dots_label(i) ) // suffix,    &
-                                           nc_precision(6), id_var_dots(i,j),  &
-                                           TRIM( dots_unit(i) ),               &
-                                           TRIM( dots_label(i) ) // ' SR ' //  &
+                   CALL netcdf_create_var( id_set_ts, (/ id_dim_time_ts /), TRIM( dots_label(i) )  &
+                                           // suffix, nc_precision(6), id_var_dots(i,j),           &
+                                           TRIM( dots_unit(i) ), TRIM( dots_label(i) ) // ' SR ' //&
                                            suffix(2:2), 256, 257, 347)
 
@@ -5652,6 +5243,5 @@
 
 !
-!--       Write the list of variables as global attribute (this is used by
-!--       restart runs)
+!--       Write the list of variables as global attribute (this is used by restart runs).
           nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'VAR_LIST', var_list )
           CALL netcdf_handle_error( 'netcdf_define_header', 258 )
@@ -5667,9 +5257,7 @@
 !
 !--       Get the list of variables and compare with the actual run.
-!--       First var_list_old has to be reset, since GET_ATT does not assign
-!--       trailing blanks.
+!--       First var_list_old has to be reset, since GET_ATT does not assign trailing blanks.
           var_list_old = ' '
-          nc_stat = NF90_GET_ATT( id_set_ts, NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list_old )
+          nc_stat = NF90_GET_ATT( id_set_ts, NF90_GLOBAL, 'VAR_LIST', var_list_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 260 )
 
@@ -5683,6 +5271,5 @@
                 DO  j = 0, statistic_regions
                    WRITE ( suffix, '(''_'',I2.2)' )  j
-                   var_list = TRIM( var_list ) // TRIM( dots_label(i) ) //     &
-                              suffix // ';'
+                   var_list = TRIM( var_list ) // TRIM( dots_label(i) ) // suffix // ';'
                 ENDDO
              ENDIF
@@ -5691,9 +5278,7 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for time series ' //                &
-                              'from previous run found,' //                    &
-                              '&but this file cannot be extended due to' //    &
-                              ' variable mismatch.' //                         &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for time series ' // 'from previous run found,' //      &
+                              '&but this file cannot be extended due to' //                        &
+                              ' variable mismatch.' // '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0257', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -5702,33 +5287,28 @@
 
 !
-!--       Get the id of the time coordinate (unlimited coordinate) and its
-!--       last index on the file. The next time level is dots..count+1.
-!--       The current time must be larger than the last output time
-!--       on the file.
+!--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+!--       The next time level is dots..count+1.
+!--       The current time must be larger than the last output time on the file.
           nc_stat = NF90_INQ_VARID( id_set_ts, 'time', id_var_time_ts )
           CALL netcdf_handle_error( 'netcdf_define_header', 261 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_ts, id_var_time_ts,          &
-                                           dimids = id_dim_time_old )
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_ts, id_var_time_ts, dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 262 )
           id_dim_time_ts = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_ts, id_dim_time_ts,         &
-                                            len = dots_time_count )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_ts, id_dim_time_ts, LEN = dots_time_count )
           CALL netcdf_handle_error( 'netcdf_define_header', 263 )
 
-          nc_stat = NF90_GET_VAR( id_set_ts, id_var_time_ts,                   &
-                                  last_time_coordinate,                        &
-                                  start = (/ dots_time_count /),               &
+          nc_stat = NF90_GET_VAR( id_set_ts, id_var_time_ts,                                       &
+                                  last_time_coordinate,                                            &
+                                  start = (/ dots_time_count /),                                   &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 264 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for time series ' //                &
-                              'from previous run found,' //                    &
-                              '&but this file cannot be extended becaus' //    &
-                              'e the current output time' //                   &
-                              '&is less or equal than the last output t' //    &
-                              'ime on this file.' //                           &
+             message_string = 'netCDF file for time series ' // 'from previous run found,' //      &
+                              '&but this file cannot be extended because' //                       &
+                              ' the current output time' //                                        &
+                              '&is less or equal than the last output ' // 'time on this file.' // &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0258', 0, 1, 0, 6, 0 )
@@ -5745,6 +5325,5 @@
 
              IF ( statistic_regions == 0 )  THEN
-                nc_stat = NF90_INQ_VARID( id_set_ts, dots_label(i), &
-                                          id_var_dots(i,0) )
+                nc_stat = NF90_INQ_VARID( id_set_ts, dots_label(i), id_var_dots(i,0) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 265 )
              ELSE
@@ -5752,6 +5331,5 @@
                    WRITE ( suffix, '(''_'',I2.2)' )  j
                    netcdf_var_name = TRIM( dots_label(i) ) // suffix
-                   nc_stat = NF90_INQ_VARID( id_set_ts, netcdf_var_name, &
-                                             id_var_dots(i,j) )
+                   nc_stat = NF90_INQ_VARID( id_set_ts, netcdf_var_name, id_var_dots(i,j) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 266 )
                 ENDDO
@@ -5761,19 +5339,16 @@
 
 !
-!--       Update the title attribute on file
-!--       In order to avoid 'data mode' errors if updated attributes are larger
-!--       than their original size, NF90_PUT_ATT is called in 'define mode'
-!--       enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a possible
-!--       performance loss due to data copying; an alternative strategy would be
-!--       to ensure equal attribute size in a job chain. Maybe revise later.
+!--       Update the title attribute on file.
+!--       In order to avoid 'data mode' errors if updated attributes are larger than their original
+!--       size, NF90_PUT_ATT is called in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF
+!--       calls. This implies a possible performance loss due to data copying; an alternative
+!--       strategy would be to ensure equal attribute size in a job chain. Maybe revise later.
           nc_stat = NF90_REDEF( id_set_ts )
           CALL netcdf_handle_error( 'netcdf_define_header', 439 )
-          nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'title',             &
-                                  TRIM( run_description_header ) )
+          nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'title', TRIM( run_description_header ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 267 )
           nc_stat = NF90_ENDDEF( id_set_ts )
           CALL netcdf_handle_error( 'netcdf_define_header', 440 )
-          message_string = 'netCDF file for time series ' //                   &
-                           'from previous run found.' //                       &
+          message_string = 'netCDF file for time series ' // 'from previous run found.' //         &
                            '&This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0259', 0, 0, 0, 6, 0 )
@@ -5785,16 +5360,13 @@
 !--       Define some global attributes of the dataset
           IF ( averaging_interval_sp /= 0.0_wp )  THEN
-             WRITE (time_average_text,'('', '',F7.1,'' s average'')')          &
-                                                            averaging_interval_sp
-             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title',          &
-                                     TRIM( run_description_header ) //         &
-                                     TRIM( time_average_text ) )
+             WRITE ( time_average_text,'('', '',F7.1,'' s average'')' )  averaging_interval_sp
+             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title',                              &
+                                     TRIM( run_description_header ) // TRIM( time_average_text ) )
              CALL netcdf_handle_error( 'netcdf_define_header', 268 )
 
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval_sp
-             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'time_avg', &
-                                     TRIM( time_average_text ) )
+             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'time_avg', TRIM( time_average_text ) )
           ELSE
-             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title', &
+             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title',                              &
                                      TRIM( run_description_header ) )
           ENDIF
@@ -5803,15 +5375,12 @@
 !
 !--       Define time coordinate for spectra (unlimited dimension)
-          CALL netcdf_create_dim( id_set_sp, 'time', NF90_UNLIMITED,           &
-                                  id_dim_time_sp, 270 )
-          CALL netcdf_create_var( id_set_sp, (/ id_dim_time_sp /), 'time',     &
-                                  NF90_DOUBLE, id_var_time_sp, 'seconds', 'time',  &
-                                  271, 272, 000 )
+          CALL netcdf_create_dim( id_set_sp, 'time', NF90_UNLIMITED, id_dim_time_sp, 270 )
+          CALL netcdf_create_var( id_set_sp, (/ id_dim_time_sp /), 'time', NF90_DOUBLE,            &
+                                  id_var_time_sp, 'seconds', 'time', 271, 272, 000 )
           CALL netcdf_create_att( id_set_sp, id_var_time_sp, 'standard_name', 'time', 000)
           CALL netcdf_create_att( id_set_sp, id_var_time_sp, 'axis', 'T', 000)
 !
 !--       Define the spatial dimensions and coordinates for spectra.
-!--       First, determine the number of vertical levels for which spectra
-!--       are to be output.
+!--       First, determine the number of vertical levels for which spectra are to be output.
           ns = 1
           DO WHILE ( comp_spectra_level(ns) /= 999999  .AND.  ns <= 100 )
